"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var simple_permissions_common_1 = require("./simple-permissions.common");
var permissions = require("nativescript-permissions");
var SimplePermissions = (function (_super) {
    __extends(SimplePermissions, _super);
    function SimplePermissions() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SimplePermissions.prototype.requestPermission = function (permission) {
        return new Promise(function (resolve, reject) {
            switch (permission) {
                case simple_permissions_common_1.Permissions.RECORD_AUDIO:
                    permissions.requestPermission(android.Manifest.permission.RECORD_AUDIO, "Permission to record audio")
                        .then(function () { return resolve(true); })
                        .catch(function () { return resolve(false); });
                    break;
                case simple_permissions_common_1.Permissions.CAMERA:
                    permissions.requestPermission(android.Manifest.permission.CAMERA, "Permissions to get camera")
                        .then(function () { return resolve(true); })
                        .catch(function () { return resolve(false); });
                    break;
                case simple_permissions_common_1.Permissions.LOCATION_ALWAYS:
                case simple_permissions_common_1.Permissions.LOCATION_IN_USE:
                    permissions.requestPermission(android.Manifest.permission.ACCESS_FINE_LOCATION, "Permissions to get location")
                        .then(function () { return resolve(true); })
                        .catch(function () { return resolve(false); });
                    break;
            }
        });
    };
    SimplePermissions.prototype.hasPermission = function (permission) {
        switch (permission) {
            case simple_permissions_common_1.Permissions.RECORD_AUDIO:
                return permissions.hasPermission(android.Manifest.permission.RECORD_AUDIO);
            case simple_permissions_common_1.Permissions.CAMERA:
                return permissions.hasPermission(android.Manifest.permission.CAMERA);
            case simple_permissions_common_1.Permissions.LOCATION_ALWAYS:
            case simple_permissions_common_1.Permissions.LOCATION_IN_USE:
                return permissions.hasPermission(android.Manifest.permission.ACCESS_FINE_LOCATION);
        }
    };
    return SimplePermissions;
}(simple_permissions_common_1.Common));
exports.SimplePermissions = SimplePermissions;
//# sourceMappingURL=simple-permissions.android.js.map