"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var permissions_util_1 = require("./ios/permissions-util");
var simple_permissions_common_1 = require("./simple-permissions.common");
var SimplePermissions = (function (_super) {
    __extends(SimplePermissions, _super);
    function SimplePermissions() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SimplePermissions.prototype.requestPermission = function (permission) {
        return new Promise(function (resolve, reject) {
            switch (permission) {
                case simple_permissions_common_1.Permissions.RECORD_AUDIO:
                    permissions_util_1.iOsPermissisonsUtil.requestAudioPermission().then(function (res) { return resolve(res); });
                    break;
                case simple_permissions_common_1.Permissions.LOCATION_ALWAYS:
                    permissions_util_1.iOsPermissisonsUtil.requestLocationPermission(true).then(function (res) {
                        if (res == permissions_util_1.PermissionStatus.Granted) {
                            resolve(true);
                        }
                        else {
                            resolve(false);
                        }
                    });
                    break;
                case simple_permissions_common_1.Permissions.LOCATION_IN_USE:
                    permissions_util_1.iOsPermissisonsUtil.requestLocationPermission().then(function (res) {
                        if (res == permissions_util_1.PermissionStatus.Granted) {
                            resolve(true);
                        }
                        else {
                            resolve(false);
                        }
                    });
                    break;
                case simple_permissions_common_1.Permissions.CAMERA:
                    permissions_util_1.iOsPermissisonsUtil.requestCameraPermission().then(function (res) { return resolve(res); });
                    break;
            }
        });
    };
    SimplePermissions.prototype.hasPermission = function (permission) {
        switch (permission) {
            case simple_permissions_common_1.Permissions.RECORD_AUDIO:
                return permissions_util_1.iOsPermissisonsUtil.getAudioPermissionStatus() === permissions_util_1.PermissionStatus.Granted;
            case simple_permissions_common_1.Permissions.CAMERA:
                return permissions_util_1.iOsPermissisonsUtil.getCameraAuthorizationStatus() === permissions_util_1.PermissionStatus.Granted;
            case simple_permissions_common_1.Permissions.LOCATION_ALWAYS:
                return permissions_util_1.iOsPermissisonsUtil.getLocationPermissionStatus(true) === permissions_util_1.PermissionStatus.Granted;
            case simple_permissions_common_1.Permissions.LOCATION_IN_USE:
                return permissions_util_1.iOsPermissisonsUtil.getLocationPermissionStatus() === permissions_util_1.PermissionStatus.Granted;
        }
    };
    return SimplePermissions;
}(simple_permissions_common_1.Common));
exports.SimplePermissions = SimplePermissions;
//# sourceMappingURL=simple-permissions.ios.js.map